#ifndef SKYSCRAPER_MBED_MAGNETOMETER_H_INCLUDED
#define SKYSCRAPER_MBED_MAGNETOMETER_H_INCLUDED

#include <quan/out/time.hpp>
#include <quan/out/magnetic_flux_density.hpp>
#include <quan/three_d/out/vect.hpp>

QUAN_QUANTITY_LITERAL(magnetic_flux_density,gauss);
QUAN_QUANTITY_LITERAL(magnetic_flux_density,milli_gauss);
QUAN_QUANTITY_LITERAL(magnetic_flux_density,uT);

bool mag_init();
bool mag_start_measurement();
bool mag_data_ready();
bool mag_read(quan::three_d::vect<quan::magnetic_flux_density::uT> & v);

#endif

